package com.adc.da.dto.resDTO;

import com.adc.da.excel.annotation.Excel;
import com.adc.da.excel.annotation.ExcelTarget;
import lombok.Data;

@Data
@ExcelTarget("CerValidityDto")
public class CerValidityDto {

    /**
     * 零件名称
     */
    @Excel(name="零件名称")
    private String title;

    /**
     * 型号
     */
    @Excel(name="零部件型号")
    private String vt;


    /**
     * ccc表detailDate
     */
    @Excel(name="CCC证书编号")
    private String detailData;

//    /**
//     * ccc编号
//     */
//    @Excel(name="CCC证书编号")
//    private String cccNum;

    /**
     * 厂商
     */
    @Excel(name="生产厂家")
    private String ent;

    /**
     * 型号/规格
     */
    @Excel(name="官方型号")
    private String modelSpecification;

    /**
     * 生产厂
     */
    @Excel(name = "官方生产厂家")
    private String factory;


    /**
     * 证书截止时间
     */
    @Excel(name="CCC证书有效期")
    private String erpireDate;

    /**
     * 核查结果
     */
    @Excel(name="状态")
    private String status;

    /**
     * 判断是否一致
     * 0：一致
     * 1：不一致
     */
    private Integer type;

    /**
     * 判断是否一致
     * 0：一致
     * 1：不一致
     */
    @Excel(name="核查结果")
    private String typeRes;


}
