package com.adc.da.dto.resDTO;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

public class CertificateResDTO {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;

    /**
     * 车辆型号
     */
    private String vehicleModel;

    /**
     * 产品号
     */
    private String productNo;

    /**
     * 中文品牌
     */
    private String zwpp;

    /**
     * 产品名称
     */
    private String vehicleName;

    /**
     * 批次
     */
    private String vehicleGroup;

    /**
     * 公告日期
     */
    private String announcementDate;

    /**
     * 环保信息公开编号
     */
    private String publicCode;
    /**
     * coc编号
     */
    private String COCCode;

    public String getCOCCode() {
        return COCCode;
    }

    public void setCOCCode(String COCCode) {
        this.COCCode = COCCode;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    /**
     * 版本号
     */
    private String version;

    /**
     * 备注
     */
    private String remark;

    /**
     * 核查时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date checkDate;

    /**
     * 核查状态
     */
    private String checkState;

    /**
     * 操作人
     */
    private String operator;

    /**
     * 是否全部一致标识（0：是；1：否）
     */
    private String isTrue;

    /**
     * 企业名称
     */
    private String entName;

    private String orgName;

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getEntName() {
        return entName;
    }

    public void setEntName(String entName) {
        this.entName = entName;
    }

    public String getIsTrue() {
        return isTrue;
    }

    public void setIsTrue(String isTrue) {
        this.isTrue = isTrue;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getVehicleModel() {
        return vehicleModel;
    }

    public void setVehicleModel(String vehicleModel) {
        this.vehicleModel = vehicleModel;
    }

    public String getProductNo() {
        return productNo;
    }

    public void setProductNo(String productNo) {
        this.productNo = productNo;
    }

    public String getZwpp() {
        return zwpp;
    }

    public void setZwpp(String zwpp) {
        this.zwpp = zwpp;
    }

    public String getVehicleName() {
        return vehicleName;
    }

    public void setVehicleName(String vehicleName) {
        this.vehicleName = vehicleName;
    }

    public String getVehicleGroup() {
        return vehicleGroup;
    }

    public void setVehicleGroup(String vehicleGroup) {
        this.vehicleGroup = vehicleGroup;
    }

    public String getAnnouncementDate() {
        return announcementDate;
    }

    public void setAnnouncementDate(String announcementDate) {
        this.announcementDate = announcementDate;
    }

    public String getPublicCode() {
        return publicCode;
    }

    public void setPublicCode(String publicCode) {
        this.publicCode = publicCode;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getCheckDate() {
        return checkDate;
    }

    public void setCheckDate(Date checkDate) {
        this.checkDate = checkDate;
    }

    public String getCheckState() {
        return checkState;
    }

    public void setCheckState(String checkState) {
        this.checkState = checkState;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }
}
