package com.adc.da.dto.resDTO;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * //功能描述： 添加类/接口功能描述
 *
 * @author 周梓武
 * @since 2019-11-22
 */
@Data
@Accessors(chain = true)
public class CheckDetailResDTO {
    /**
     * 参数名称
     */
    private String paramName;

    /**
     * 公告生产厂
     */
    private String cdVehicleValue;

    /**
     * ccc生产厂
     */
    private String cccValue;

    /**
     * 环保生产厂
     */
    private String envValue;
    /**
     * 公告型号
     */
    private String cdVehicleModel;

    /**
     * ccc参数
     */
    private String cccModel;

    /**
     * 环保参数
     */
    private String envModel;

    /**
     * CCC产品认证证书
     */
    private String cccBook;

    /**
     * 排放关键件标识
     */
    private String envImg;


    /**
     * 对比结果（0：一致；1：不一致。排序使用）
     */
    private int status;
    /**
     * 最终参数
     */
    private String endParam;
}
