package com.adc.da.dto.resDTO;

import com.adc.da.excel.annotation.Excel;
import com.adc.da.excel.annotation.ExcelTarget;
import lombok.Data;

import java.util.Date;

@Data
@ExcelTarget("CheckEnterpriseDTO")
public class CheckEnterpriseDTO {

    /**
     * 车辆型号
     */
    @Excel(name = "车辆型号")
    private String vehicleType;

    /**
     * 版本号
     */
    @Excel(name = "版本号")
    private String versionNumber;
    private String auditNumber;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    private String entryName;

    /**
     * 项目参数
     */
    @Excel(name = "项目参数")
    private String entryParameter;
    private String checkImageOne;
    @Excel(name = "核查图片1",width = 50,height = 20,type = 2,imageType = 2)
    private byte[] checkImageOneByte;

    private String checkImageTwo;

    @Excel(name = "核查图片2",width = 50,height = 20,type = 2,imageType = 2)
    private byte[] checkImageTwoByte;
    @Excel(name = "备注")
    private String remark;

    /**
     * 创建时间
     */
    @Excel(name = "核查时间",format = "yyyy-MM-dd HH:mm:ss")
    private Date checkTime;

    /**
     * 创建人
     */
    @Excel(name = "操作人")
    private String founder;


    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remarks;

    /**
     * 核查状态
     */
    @Excel(name = "处理状态")
    private String checkStatus;

}
