package com.adc.da.dto.resDTO;

import com.adc.da.excel.annotation.Excel;
import com.adc.da.excel.annotation.ExcelTarget;
import lombok.Data;

@Data
@ExcelTarget("CheckEnterpriseDataDetailsDTO")
public class CheckEnterpriseDataDetailsDTO {

    /**
     * 参数项名称
     */
    @Excel(name = "项目名称")
    private String entryName;

    /**
     * 结构参数
     */
    @Excel(name = "项目参数")
    private String entryParameter;

    @Excel(name = "是否符合")
    private String checkResult;


    private String checkImageOne;
    @Excel(name = "核查图片1",width = 50,height = 20,type = 2,imageType = 2)
    private byte[] checkImageOneByte;

    private String checkImageTwo;

    @Excel(name = "核查图片2",width = 50,height = 20,type = 2,imageType = 2)
    private byte[] checkImageTwoByte;
    @Excel(name = "备注")
    private String remark;
}


