package com.adc.da.dto.resDTO;

import com.adc.da.excel.annotation.Excel;
import com.adc.da.excel.annotation.ExcelTarget;
import lombok.Data;

@Data
@ExcelTarget("VehicleDatabaseDetailsDto")
public class VehicleDatabaseDetailsDto {

    /**
     * 零部件名称
     */
    @Excel( name = "零部件名称")
    private String partName;

    /**
     * 零部件型号
     */
    @Excel( name = "零部件型号")
    private String partNum;

    /**
     * CCC证书编号
     */
    @Excel( name = "CCC证书编号")
    private String cccNumCer;

    /**
     * 生产厂家
     */
    @Excel( name = "生产厂家")
    private String manufacturer;
}
