package com.adc.da.dto.resDTO;

import com.adc.da.excel.annotation.Excel;

public class COCDetailResDTO {

    @Excel(name = "参数编号", orderNum = "1", width = 20)
    private String parameterCode;

    @Excel(name = "参数名称", orderNum = "2", width = 50)
    private String parameterName;

    @Excel(name = "参数值", orderNum = "3", width = 50)
    private String parameterValue;

    public COCDetailResDTO(String parameterCode, String parameterName, String parameterValue) {
        super();
        this.parameterCode = parameterCode;
        this.parameterName = parameterName;
        this.parameterValue = parameterValue;
    }

    public COCDetailResDTO(String parameterCode, String parameterName) {
        this.parameterCode = parameterCode;
        this.parameterName = parameterName;
    }

    public String getParameterCode() {
        return this.parameterCode;
    }

    public void setParameterCode(String parameterCode) {
        this.parameterCode = parameterCode;
    }

    public String getParameterName() {
        return this.parameterName;
    }

    public void setParameterName(String parameterName) {
        this.parameterName = parameterName;
    }

    public String getParameterValue() {
        return this.parameterValue;
    }

    public void setParameterValue(String parameterValue) {
        this.parameterValue = parameterValue;
    }
}
