package com.adc.da.dto.resDTO;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * //功能描述： 添加类/接口功能描述
 *
 * @author 周梓武
 * @since 2019-09-27
 */
@Data
public class CheckConsistencyCheckResDTO {
    /**
     * 车型编号
     */
    private String carTypeCode;
    /**
     * 车型号
     */
    private String productNo;
    /**
     * 中文品牌
     */
    private String zwpp;
    /**
     * 产品名称
     */
    private String vehicleName;
    /**
     * 批次
     */
    private String carGroup;
    /**
     * ccc系统编号
     */
    private String cccSystemNumber;
    /**
     * 环保公开编号
     */
    private String envPublicNumber;
    /**
     * 版本号
     */
    private String editionCode;
    /**
     * 备注
     */
    private String remark;
    /**
     * 核查时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date checkTime;
    /**
     * 核查状态
     */
    private String status;
    /**
     * 操作人
     */
    private String operator;
    /**
     * 企业名称
     */
    private String entName;
    /**
     * 公告公开时间
     */
    private String issuedDate;

    /**
     * 对比类型（0：自动对比 1：手动对比）
     */
    private String checkType;

    private String id;

    private String baseName;
    private String baseId;
}
