package com.adc.da.dto.resDTO;

import com.adc.da.excel.annotation.Excel;
import com.adc.da.excel.annotation.ExcelTarget;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
@ExcelTarget("CCCDetailDTO")
public class CheckFalseResDTO{

    /**
     * 车辆型号
     */
    @Excel(name = "车辆型号", orderNum = "2", width = 50)
    private String carTypeCode;
    /**
     * 公告批次
     */
    @Excel(name = "批次", orderNum = "3", width = 50)
    private String carGroup;
    /**
     * 版本号
     */
    @Excel(name = "版本号", orderNum = "4", width = 50)
    private String editionCode;

    /**
     * 参数名称
     */
    @Excel(name = "参数名称", orderNum = "1", width = 50)
    private String paramName;
    /**
     *公告参数
     */
    @Excel(name = "公告参数", orderNum = "5", width = 50)
    private String ggData;

    /**
     *ccc参数
     */
    @Excel(name = "ccc参数", orderNum = "7", width = 50)
    private String cccData;

    /**
     *环保参数
     */
    @Excel(name = "环保参数", orderNum = "6", width = 50)
    private String envData;

    /**
     *最终参数
     */
    @Excel(name = "最终参数", orderNum = "8", width = 50)
    private String endData;

    @Excel(name = "核查时间", orderNum = "11", width = 50)
    private String checkTimeStr;
    /**
     * 处理结果
     */
    @Excel(name = "核查结果", orderNum = "9", width = 50)
    private String checkResult;
    /**
     * 核查时间
     */

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date checkTime;
    /**
     * 事业部名称
     */
//    @Excel(name = "事业部", orderNum = "10", width = 50)
    private String ent;
    private String id;

}
