package com.adc.da.dto.resDTO;

import com.adc.da.excel.annotation.Excel;
import com.adc.da.excel.annotation.ExcelTarget;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
@ExcelTarget("DownCheckFalseDTO")
public class DownCheckFalseDTO {
    @Excel(name = "车辆型号", orderNum = "1", width = 50)
    private String carTypeCode;
    @Excel(name = "批次", orderNum = "1", width = 50)
    private String carGroup;
    @Excel(name = "版本号", orderNum = "1", width = 50)
    private String editionCode;
    @Excel(name = "备注", orderNum = "1", width = 50)
    private String remark;
    @Excel(name = "证书名称", orderNum = "1", width = 50)
    private String bookName;
    @Excel(name = "项目名称", orderNum = "1", width = 50)
    private String paramName;
    @Excel(name = "项目参数", orderNum = "1", width = 50)
    private String paramData;
    @Excel(name = "官方数据", orderNum = "1", width = 50)
    private String fromData;
    @Excel(name = "核查结果", orderNum = "1", width = 50)
    private String checkResult;
    @Excel(name = "核查时间", orderNum = "1", width = 50)
    private String checkTimeStr;
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date checkTime;
/*    @Excel(name = "事业部名称", orderNum = "1", width = 50)
    private String ent;*/
}
