package com.adc.da.dto.resDTO;

import lombok.Data;

/**
 * //功能描述： 添加类/接口功能描述
 *
 * @author 周梓武
 * @date 2019-09-25
 */
@Data
public class EnvResDTO {

    /**
     * 环保信息编号
     */
    private String infoDisclosureNo;

    /**
     * 车辆类型
     */
    private String carTypeCode;

    /**
     * 发动机型号
     */
    private String engineType;

    /**
     * 信息编号公开时间
     */
    private String publicTime;

    /**
     * 生产企业
     */
    private String productEnterprise;

    private String exhaustPipePosition;//排气管口位置

    private String exhaustPipeOrientations;//排气管口朝向

    private String ggxhScqy;//共轨管型号/生产企业

    private String ratedPowerSpeed;//额定功率/转速

    private String catalystsTypeLnt;//催化转化器（LNT）型号/生产企业

    private String tcZtFzLnt;//封装/载体/涂层生产企业（LNT）

    private String engineCompanyAddr;//生产厂地址(发动机部分)

    private String engineXzmc;//系族名称(发动机部分)
}
