package com.adc.da.dto.resDTO;

import com.adc.da.excel.annotation.Excel;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class ImportCheckResultResDTO {
    public ImportCheckResultResDTO(String index, String parameterName, String parameterValue, String fromData,
                                   String checkResult) {
        this.index = index;
        this.parameterName = parameterName;
        this.parameterValue = parameterValue;
        this.fromData = fromData;
        this.checkResult = checkResult;
    }

    @Excel(name = "序号", orderNum = "1", width = 20)
    private String index;

    @Excel(name = "项目名称", orderNum = "2", width = 50)
    private String parameterName;

    @Excel(name = "项目参数", orderNum = "3", width = 50)
    private String parameterValue;

    @Excel(name = "官方数据", orderNum = "4", width = 50)
    private String fromData;

    @Excel(name = "对比结果", orderNum = "5", width = 50)
    private String checkResult;

    public ImportCheckResultResDTO() {
    }
}
